List notifications

This calls enables you to export all notifications, or only a subset of them.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Search and list notifications. This calls enables you to export all notifications, or only a subset of them. You can filter by campaignId and restrict results from a given time window. For efficient deep pagination, you must use sort=none, using a large offset is highly discouraged.

The result is comprised of a data array, and a pagination object containing previous and next, two complete URLs for navigating through the result set. Always use the URLs as is and do not add or remove parameters. When doing efficient deep pagination, only the pagination.next page is available. See Pagination for more help on how to iterate over all results.

Query Params
fields
array of strings

Comma separated list of fields to return.

fields
int32
Defaults to 0

The number of first results to skip. Ignored when no sorting is provided. For an efficient deep pagination, always start at 0.

int32
Defaults to 50

The number of results to return, or 0 for counting only the results. This number may be adjusted for efficient deep paginations. The actual number of results may be less for the last few pages of an efficient deep pagination.

string

The cursor identifier for fetching the next result page. You should always use the whole URL provided in the pagination.next field of the previous request response. Do not try to reuse this identifier if changing the other parameters, as it is bound to them.

string
Defaults to none

How to sort the results. You can sort on multiple fields. For efficient deep pagination, you should use "none". Eg.: "-creationDate" will give you the most recent notifications.

string

The minimum creationDate of the notifications to list.

string

The maximum creationDate of the notifications to list.

string

The minimum updateDate of the notifications to list.

string

The maximum updateDate of the notifications to list.

campaignIds
array of strings

Comma separated list of campaignIds the notifications must belong to. You can use @NONE to list notifications sent without campaignId.

campaignIds
Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json